Name:           perl-Module-Install-Copyright
Version:        0.009
Release:        8%{?dist}
Summary:        Package a COPYRIGHT file with a distribution
# CONTRIBUTING: CC-BY-SA
# COPYRIGHT:    Public Domain
# Other file:   GPL+ or Artistic
License:        (GPL+ or Artistic) and CC-BY-SA and Public Domain
URL:            https://metacpan.org/release/Module-Install-Copyright
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/Module-Install-Copyright-%{version}.tar.gz
# To boostrap this package without bundling
Patch0:         Module-Install-Copyright-0.009-Build-without-bundled-Module-Package-modules.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(inc::Module::Package)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(:VERSION) >= 5.8.0
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Install::Admin::RDF) >= 0.003
BuildRequires:  perl(Module::Install::Base)
BuildRequires:  perl(Module::Install::Contributors) >= 0.001
BuildRequires:  perl(Module::Manifest)
BuildRequires:  perl(MooX::Struct)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(RDF::Trine)
BuildRequires:  perl(RDF::Trine::Namespace)
BuildRequires:  perl(Software::License)
BuildRequires:  perl(Software::LicenseUtils)
BuildRequires:  perl(strict)
# Tests:
BuildRequires:  perl(Test::More) >= 0.61
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This Module::Install plug-in extracts copyright and licensing information from
embedded POD and/or RDF meta-data included in the distribution, and outputs it
as a text file called COPYRIGHT which should roughly conform to the Debian
copyright file format.

%prep
%setup -q -n Module-Install-Copyright-%{version}
%patch0 -p1
# Remove bundled modules.
# And remove inc/Module/Package/Dist/RDF.pm because it's
# a Module::Package::RDF plug-in that depends on this package. Fortunatelly,
# the inc/Module/Package/Dist/RDF.pm is not good for anything so the patch
# makes not to load it.
rm -rf ./inc
sed -i -e '/^inc/d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING COPYRIGHT CREDITS README
%doc examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.009-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.009-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.009-6
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.009-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.009-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.009-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.009-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 16 2016 Petr Pisar <ppisar@redhat.com> 0.009-1
- Specfile autogenerated by cpanspec 1.78.
